function onCreate()
	-- background shit

	makeAnimatedLuaSprite('6','bg', -800, -800)
	addAnimationByPrefix('6','idle','bg idle',4,true)
	objectPlayAnimation('6','idle',false)
	setScrollFactor('6', 0.2, 0.2);
	scaleObject('6', 7, 7);


	makeAnimatedLuaSprite('7','bg', -600, -350)
	addAnimationByPrefix('7','idle','bg idle',4,true)
	objectPlayAnimation('7','idle',false)
	setScrollFactor('7', 0.6, 0.6);
	scaleObject('7', 1, 1);

	makeAnimatedLuaSprite('8','bg', 1000, -350)
	addAnimationByPrefix('8','idle','bg idle',4,true)
	objectPlayAnimation('8','idle',false)
	setScrollFactor('8', 0.6, 0.6);
	scaleObject('8', 1, 1);

	
	makeLuaSprite('stagefront', 'osfground', -1000, 250);
	setScrollFactor('stagefront', 1, 1);
	scaleObject('stagefront', 12.1, 6.1);

	addLuaSprite('6', false);
	addLuaSprite('7', false);
	addLuaSprite('8', false);
	addLuaSprite('stagefront', false);

end

function onStepHit()
	if curStep == 512 then
	setProperty('camGame.alpha', 0);
	end
	if curStep == 576 then
	setProperty('camGame.alpha', 1);
	end
end

